[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIconImage.Create

Constructor for the class instance.

## Declaration

Source position: graphics.pp line 1578

`public constructor TIconImage.Create(`
`AFormat: TPixelFormat;`
`AHeight: Word;`
`AWidth: Word`
`); constructor TIconImage.Create(`
`const AImage: TRawImage`
`); constructor TIconImage.Create(`
`const AInfo: TIconInfo`
`); virtual;`

## Arguments

`AFormat` |  | Pixel format (color depth) for the image data.
`AHeight` |  | Height in pixels for the image.
`AWidth` |  | Width in pixels for the image.

## Arguments

`AImage` |  | Raw image data used to load the content in the image.

## Arguments

`AInfo` |  | Structure with Hotspot, Mask and Color information for the icon image.

## Description

Create is the overloaded constructor for the class instance. It specifies a Raw image to be used, and calls the inherited Create method. Variants are provided with parameters which specify the dimensions and/or content for the icon image. The variant with the TIconInfo argument is used to create a new icon image when a handle is assigned in TSharedIcon.

## See also

TObject.Create